
_interrupt:

;encoder test 6.c,13 :: 		void interrupt(void){
;encoder test 6.c,15 :: 		if(INTCON.INT0IF==1)
	BTFSS       INTCON+0, 1 
	GOTO        L_interrupt0
;encoder test 6.c,17 :: 		directionA = 0; // Default to zero upon an error/no movement
	CLRF        _directionA+0 
	CLRF        _directionA+1 
;encoder test 6.c,18 :: 		sensorA1 = PORTB.RB0;
	MOVLW       0
	BTFSC       PORTB+0, 0 
	MOVLW       1
	MOVWF       _sensorA1+0 
;encoder test 6.c,19 :: 		sensorA2 = PORTB.RB1;
	MOVLW       0
	BTFSC       PORTB+0, 1 
	MOVLW       1
	MOVWF       _sensorA2+0 
;encoder test 6.c,20 :: 		if (!((oldsensorA1 ^ sensorA1) & !(oldsensorA2 ^ sensorA2)) )
	MOVF        _sensorA1+0, 0 
	XORWF       _oldsensorA1+0, 0 
	MOVWF       R2 
	MOVF        _sensorA2+0, 0 
	XORWF       _oldsensorA2+0, 0 
	MOVWF       R1 
	MOVF        R1, 1 
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R2, 0 
	ANDWF       R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt1
;encoder test 6.c,22 :: 		directionA = -1;    // Default to reverse
	MOVLW       255
	MOVWF       _directionA+0 
	MOVLW       255
	MOVWF       _directionA+1 
;encoder test 6.c,23 :: 		if (oldsensorA1 ^ sensorA2) directionA = 1; //Set direction to 1 if fwd
	MOVF        _sensorA2+0, 0 
	XORWF       _oldsensorA1+0, 0 
	MOVWF       R0 
	BTFSC       STATUS+0, 2 
	GOTO        L_interrupt2
	MOVLW       1
	MOVWF       _directionA+0 
	MOVLW       0
	MOVWF       _directionA+1 
L_interrupt2:
;encoder test 6.c,24 :: 		}
L_interrupt1:
;encoder test 6.c,26 :: 		count1 += directionA;
	MOVF        _directionA+0, 0 
	ADDWF       _count1+0, 1 
	MOVF        _directionA+1, 0 
	ADDWFC      _count1+1, 1 
;encoder test 6.c,27 :: 		oldsensorA1 = sensorA1;
	MOVF        _sensorA1+0, 0 
	MOVWF       _oldsensorA1+0 
;encoder test 6.c,28 :: 		oldsensorA2 = sensorA2;
	MOVF        _sensorA2+0, 0 
	MOVWF       _oldsensorA2+0 
;encoder test 6.c,30 :: 		INTCON.INT0IF = 0;     //Clear INT1 interrupt flag
	BCF         INTCON+0, 1 
;encoder test 6.c,32 :: 		}
	GOTO        L_interrupt3
L_interrupt0:
;encoder test 6.c,35 :: 		if(INTCON.RBIF==1)
	BTFSS       INTCON+0, 0 
	GOTO        L_interrupt4
;encoder test 6.c,37 :: 		QUAD2A = PORTB.RB4;
	MOVLW       0
	BTFSC       PORTB+0, 4 
	MOVLW       1
	MOVWF       _QUAD2A+0 
	CLRF        _QUAD2A+1 
;encoder test 6.c,38 :: 		QUAD2B = PORTB.RB5;
	MOVLW       0
	BTFSC       PORTB+0, 5 
	MOVLW       1
	MOVWF       _QUAD2B+0 
	CLRF        _QUAD2B+1 
;encoder test 6.c,40 :: 		QUAD2A_NEW = QUAD2A;
	MOVF        _QUAD2A+0, 0 
	MOVWF       _QUAD2A_NEW+0 
	MOVF        _QUAD2A+1, 0 
	MOVWF       _QUAD2A_NEW+1 
;encoder test 6.c,41 :: 		QUAD2B_NEW = QUAD2B;
	MOVF        _QUAD2B+0, 0 
	MOVWF       _QUAD2B_NEW+0 
	MOVF        _QUAD2B+1, 0 
	MOVWF       _QUAD2B_NEW+1 
;encoder test 6.c,43 :: 		if (QUAD2A_NEW + QUAD2B_NEW == 2) flag2 = 1;
	MOVF        _QUAD2B+0, 0 
	ADDWF       _QUAD2A+0, 0 
	MOVWF       R1 
	MOVF        _QUAD2B+1, 0 
	ADDWFC      _QUAD2A+1, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt32
	MOVLW       2
	XORWF       R1, 0 
L__interrupt32:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt5
	MOVLW       1
	MOVWF       _flag2+0 
L_interrupt5:
;encoder test 6.c,45 :: 		if ((flag2 == 1) & (QUAD2A_NEW + QUAD2B_NEW == 1))
	MOVF        _flag2+0, 0 
	XORLW       1
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R3 
	MOVF        _QUAD2B_NEW+0, 0 
	ADDWF       _QUAD2A_NEW+0, 0 
	MOVWF       R1 
	MOVF        _QUAD2B_NEW+1, 0 
	ADDWFC      _QUAD2A_NEW+1, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt33
	MOVLW       1
	XORWF       R1, 0 
L__interrupt33:
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R3, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_interrupt6
;encoder test 6.c,47 :: 		QUAD2A_OLD = QUAD2A_NEW;
	MOVF        _QUAD2A_NEW+0, 0 
	MOVWF       _QUAD2A_OLD+0 
	MOVF        _QUAD2A_NEW+1, 0 
	MOVWF       _QUAD2A_OLD+1 
;encoder test 6.c,48 :: 		QUAD2B_OLD = QUAD2B_NEW;
	MOVF        _QUAD2B_NEW+0, 0 
	MOVWF       _QUAD2B_OLD+0 
	MOVF        _QUAD2B_NEW+1, 0 
	MOVWF       _QUAD2B_OLD+1 
;encoder test 6.c,49 :: 		flag2 = 2;
	MOVLW       2
	MOVWF       _flag2+0 
;encoder test 6.c,50 :: 		}
L_interrupt6:
;encoder test 6.c,51 :: 		if ((flag2 == 2) & (QUAD2A_NEW + QUAD2B_NEW == 0))
	MOVF        _flag2+0, 0 
	XORLW       2
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R3 
	MOVF        _QUAD2B_NEW+0, 0 
	ADDWF       _QUAD2A_NEW+0, 0 
	MOVWF       R1 
	MOVF        _QUAD2B_NEW+1, 0 
	ADDWFC      _QUAD2A_NEW+1, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt34
	MOVLW       0
	XORWF       R1, 0 
L__interrupt34:
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R3, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_interrupt7
;encoder test 6.c,53 :: 		if (QUAD2B_OLD == 1) {count2++; flag2 = 3;}
	MOVLW       0
	XORWF       _QUAD2B_OLD+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt35
	MOVLW       1
	XORWF       _QUAD2B_OLD+0, 0 
L__interrupt35:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt8
	INFSNZ      _count2+0, 1 
	INCF        _count2+1, 1 
	MOVLW       3
	MOVWF       _flag2+0 
L_interrupt8:
;encoder test 6.c,54 :: 		if (QUAD2A_OLD == 1) {count2--; flag2 = 3;}
	MOVLW       0
	XORWF       _QUAD2A_OLD+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt36
	MOVLW       1
	XORWF       _QUAD2A_OLD+0, 0 
L__interrupt36:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt9
	MOVLW       1
	SUBWF       _count2+0, 1 
	MOVLW       0
	SUBWFB      _count2+1, 1 
	MOVLW       3
	MOVWF       _flag2+0 
L_interrupt9:
;encoder test 6.c,55 :: 		}
L_interrupt7:
;encoder test 6.c,58 :: 		QUAD3A = PORTB.RB6;
	MOVLW       0
	BTFSC       PORTB+0, 6 
	MOVLW       1
	MOVWF       _QUAD3A+0 
	CLRF        _QUAD3A+1 
;encoder test 6.c,59 :: 		QUAD3B = PORTB.RB7;
	MOVLW       0
	BTFSC       PORTB+0, 7 
	MOVLW       1
	MOVWF       _QUAD3B+0 
	CLRF        _QUAD3B+1 
;encoder test 6.c,61 :: 		QUAD3A_NEW = QUAD3A;
	MOVF        _QUAD3A+0, 0 
	MOVWF       _QUAD3A_NEW+0 
	MOVF        _QUAD3A+1, 0 
	MOVWF       _QUAD3A_NEW+1 
;encoder test 6.c,62 :: 		QUAD3B_NEW = QUAD3B;
	MOVF        _QUAD3B+0, 0 
	MOVWF       _QUAD3B_NEW+0 
	MOVF        _QUAD3B+1, 0 
	MOVWF       _QUAD3B_NEW+1 
;encoder test 6.c,64 :: 		if (QUAD3A_NEW + QUAD3B_NEW == 2) flag3 = 1;
	MOVF        _QUAD3B+0, 0 
	ADDWF       _QUAD3A+0, 0 
	MOVWF       R1 
	MOVF        _QUAD3B+1, 0 
	ADDWFC      _QUAD3A+1, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt37
	MOVLW       2
	XORWF       R1, 0 
L__interrupt37:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt10
	MOVLW       1
	MOVWF       _flag3+0 
L_interrupt10:
;encoder test 6.c,66 :: 		if ((flag3 == 1) & (QUAD3A_NEW + QUAD3B_NEW == 1))
	MOVF        _flag3+0, 0 
	XORLW       1
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R3 
	MOVF        _QUAD3B_NEW+0, 0 
	ADDWF       _QUAD3A_NEW+0, 0 
	MOVWF       R1 
	MOVF        _QUAD3B_NEW+1, 0 
	ADDWFC      _QUAD3A_NEW+1, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt38
	MOVLW       1
	XORWF       R1, 0 
L__interrupt38:
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R3, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_interrupt11
;encoder test 6.c,68 :: 		QUAD3A_OLD = QUAD3A_NEW;
	MOVF        _QUAD3A_NEW+0, 0 
	MOVWF       _QUAD3A_OLD+0 
	MOVF        _QUAD3A_NEW+1, 0 
	MOVWF       _QUAD3A_OLD+1 
;encoder test 6.c,69 :: 		QUAD3B_OLD = QUAD3B_NEW;
	MOVF        _QUAD3B_NEW+0, 0 
	MOVWF       _QUAD3B_OLD+0 
	MOVF        _QUAD3B_NEW+1, 0 
	MOVWF       _QUAD3B_OLD+1 
;encoder test 6.c,70 :: 		flag3 = 2;
	MOVLW       2
	MOVWF       _flag3+0 
;encoder test 6.c,71 :: 		}
L_interrupt11:
;encoder test 6.c,72 :: 		if ((flag3 == 2) & (QUAD3A_NEW + QUAD3B_NEW == 0))
	MOVF        _flag3+0, 0 
	XORLW       2
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R3 
	MOVF        _QUAD3B_NEW+0, 0 
	ADDWF       _QUAD3A_NEW+0, 0 
	MOVWF       R1 
	MOVF        _QUAD3B_NEW+1, 0 
	ADDWFC      _QUAD3A_NEW+1, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt39
	MOVLW       0
	XORWF       R1, 0 
L__interrupt39:
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R3, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_interrupt12
;encoder test 6.c,74 :: 		if (QUAD3B_OLD == 1) {count3++; flag3 = 3;}
	MOVLW       0
	XORWF       _QUAD3B_OLD+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt40
	MOVLW       1
	XORWF       _QUAD3B_OLD+0, 0 
L__interrupt40:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt13
	INFSNZ      _count3+0, 1 
	INCF        _count3+1, 1 
	MOVLW       3
	MOVWF       _flag3+0 
L_interrupt13:
;encoder test 6.c,75 :: 		if (QUAD3A_OLD == 1) {count3--; flag3 = 3;}
	MOVLW       0
	XORWF       _QUAD3A_OLD+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt41
	MOVLW       1
	XORWF       _QUAD3A_OLD+0, 0 
L__interrupt41:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt14
	MOVLW       1
	SUBWF       _count3+0, 1 
	MOVLW       0
	SUBWFB      _count3+1, 1 
	MOVLW       3
	MOVWF       _flag3+0 
L_interrupt14:
;encoder test 6.c,76 :: 		}
L_interrupt12:
;encoder test 6.c,79 :: 		INTCON.RBIF=0; //Clear port B interrupts flag
	BCF         INTCON+0, 0 
;encoder test 6.c,80 :: 		}
	GOTO        L_interrupt15
L_interrupt4:
;encoder test 6.c,83 :: 		USB_Interrupt_Proc();
	CALL        _USB_Interrupt_Proc+0, 0
L_interrupt15:
L_interrupt3:
;encoder test 6.c,87 :: 		}//end ISR
L__interrupt31:
	RETFIE      1
; end of _interrupt

_main:

;encoder test 6.c,89 :: 		void main() {
;encoder test 6.c,91 :: 		PORTB = 0x00;
	CLRF        PORTB+0 
;encoder test 6.c,92 :: 		TRISB = 0xFF;    // PORTB is input
	MOVLW       255
	MOVWF       TRISB+0 
;encoder test 6.c,93 :: 		PORTC = 0x00;
	CLRF        PORTC+0 
;encoder test 6.c,94 :: 		TRISC = 0xC4;    // switches are RC6, RC7, RC2
	MOVLW       196
	MOVWF       TRISC+0 
;encoder test 6.c,96 :: 		count1 = 0x0000;
	CLRF        _count1+0 
	CLRF        _count1+1 
;encoder test 6.c,97 :: 		count2 = 0x0000;
	CLRF        _count2+0 
	CLRF        _count2+1 
;encoder test 6.c,98 :: 		count3 = 0x0000;
	CLRF        _count3+0 
	CLRF        _count3+1 
;encoder test 6.c,100 :: 		INTCON.GIE = 1;                // enable Global high priority interrupts
	BSF         INTCON+0, 7 
;encoder test 6.c,101 :: 		INTCON.INT0IF = 0;             // Clear INT1 flag prior to enable
	BCF         INTCON+0, 1 
;encoder test 6.c,102 :: 		INTCON.INTEDG0 = 1;            // interrupt INT1 on rising edge
	BSF         INTCON+0, 6 
;encoder test 6.c,103 :: 		INTCON.INT0IE = 1;             // enable INT1 interrupt
	BSF         INTCON+0, 4 
;encoder test 6.c,104 :: 		INTCON.RBIF = 0;               // Clear RB interrupt flag prior to enable
	BCF         INTCON+0, 0 
;encoder test 6.c,105 :: 		INTCON.RBIE = 1;               // enable RB change interrupts
	BSF         INTCON+0, 3 
;encoder test 6.c,109 :: 		HID_Enable(&ReadBuffer, &WriteBuffer);
	MOVLW       _ReadBuffer+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_ReadBuffer+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _WriteBuffer+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_WriteBuffer+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;encoder test 6.c,111 :: 		delay_ms(1000);
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L_main16:
	DECFSZ      R13, 1, 1
	BRA         L_main16
	DECFSZ      R12, 1, 1
	BRA         L_main16
	DECFSZ      R11, 1, 1
	BRA         L_main16
	NOP
;encoder test 6.c,114 :: 		do {
L_main17:
;encoder test 6.c,116 :: 		if (count1 > 1023) count1 = 1023;
	MOVLW       128
	XORLW       3
	MOVWF       R0 
	MOVLW       128
	XORWF       _count1+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main42
	MOVF        _count1+0, 0 
	SUBLW       255
L__main42:
	BTFSC       STATUS+0, 0 
	GOTO        L_main20
	MOVLW       255
	MOVWF       _count1+0 
	MOVLW       3
	MOVWF       _count1+1 
	GOTO        L_main21
L_main20:
;encoder test 6.c,118 :: 		if (count1 < 0) count1 = 0; // SET MAX COUNT AND MIN  for count1
	MOVLW       128
	XORWF       _count1+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main43
	MOVLW       0
	SUBWF       _count1+0, 0 
L__main43:
	BTFSC       STATUS+0, 0 
	GOTO        L_main22
	CLRF        _count1+0 
	CLRF        _count1+1 
L_main22:
L_main21:
;encoder test 6.c,119 :: 		temp1 = count1  - 511;
	MOVLW       255
	SUBWF       _count1+0, 0 
	MOVWF       _temp1+0 
	MOVLW       1
	SUBWFB      _count1+1, 0 
	MOVWF       _temp1+1 
	MOVLW       0
	BTFSC       _temp1+1, 7 
	MOVLW       255
	MOVWF       _temp1+2 
	MOVWF       _temp1+3 
;encoder test 6.c,120 :: 		WriteBuffer[0] = temp1 & 0x00FF;      // X axis
	MOVLW       255
	ANDWF       _temp1+0, 0 
	MOVWF       1344 
;encoder test 6.c,121 :: 		WriteBuffer[1] = (temp1 & 0xFF00) >>8;
	MOVLW       0
	ANDWF       _temp1+0, 0 
	MOVWF       R5 
	MOVLW       255
	ANDWF       _temp1+1, 0 
	MOVWF       R6 
	MOVF        _temp1+2, 0 
	MOVWF       R7 
	MOVF        _temp1+3, 0 
	MOVWF       R8 
	MOVLW       0
	ANDWF       R7, 1 
	ANDWF       R8, 1 
	MOVF        R6, 0 
	MOVWF       R0 
	MOVF        R7, 0 
	MOVWF       R1 
	MOVF        R8, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       1345 
;encoder test 6.c,123 :: 		if (count2 > 1023) count2 = 1023;
	MOVLW       128
	XORLW       3
	MOVWF       R0 
	MOVLW       128
	XORWF       _count2+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main44
	MOVF        _count2+0, 0 
	SUBLW       255
L__main44:
	BTFSC       STATUS+0, 0 
	GOTO        L_main23
	MOVLW       255
	MOVWF       _count2+0 
	MOVLW       3
	MOVWF       _count2+1 
	GOTO        L_main24
L_main23:
;encoder test 6.c,125 :: 		if (count2 < 0) count2 = 0; // SET MAX COUNT AND MIN  for count2
	MOVLW       128
	XORWF       _count2+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main45
	MOVLW       0
	SUBWF       _count2+0, 0 
L__main45:
	BTFSC       STATUS+0, 0 
	GOTO        L_main25
	CLRF        _count2+0 
	CLRF        _count2+1 
L_main25:
L_main24:
;encoder test 6.c,126 :: 		temp2 = count2 - 511;
	MOVLW       255
	SUBWF       _count2+0, 0 
	MOVWF       _temp2+0 
	MOVLW       1
	SUBWFB      _count2+1, 0 
	MOVWF       _temp2+1 
	MOVLW       0
	BTFSC       _temp2+1, 7 
	MOVLW       255
	MOVWF       _temp2+2 
	MOVWF       _temp2+3 
;encoder test 6.c,127 :: 		WriteBuffer[2] = temp2 & 0x00FF;      // Y axis
	MOVLW       255
	ANDWF       _temp2+0, 0 
	MOVWF       1346 
;encoder test 6.c,128 :: 		WriteBuffer[3] = (temp2 & 0xFF00) >>8;
	MOVLW       0
	ANDWF       _temp2+0, 0 
	MOVWF       R5 
	MOVLW       255
	ANDWF       _temp2+1, 0 
	MOVWF       R6 
	MOVF        _temp2+2, 0 
	MOVWF       R7 
	MOVF        _temp2+3, 0 
	MOVWF       R8 
	MOVLW       0
	ANDWF       R7, 1 
	ANDWF       R8, 1 
	MOVF        R6, 0 
	MOVWF       R0 
	MOVF        R7, 0 
	MOVWF       R1 
	MOVF        R8, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       1347 
;encoder test 6.c,130 :: 		if (count3 > 1023) count3 = 1023;
	MOVLW       128
	XORLW       3
	MOVWF       R0 
	MOVLW       128
	XORWF       _count3+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main46
	MOVF        _count3+0, 0 
	SUBLW       255
L__main46:
	BTFSC       STATUS+0, 0 
	GOTO        L_main26
	MOVLW       255
	MOVWF       _count3+0 
	MOVLW       3
	MOVWF       _count3+1 
	GOTO        L_main27
L_main26:
;encoder test 6.c,132 :: 		if (count3 < 0) count3 = 0; // SET MAX COUNT AND MIN  for count3
	MOVLW       128
	XORWF       _count3+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main47
	MOVLW       0
	SUBWF       _count3+0, 0 
L__main47:
	BTFSC       STATUS+0, 0 
	GOTO        L_main28
	CLRF        _count3+0 
	CLRF        _count3+1 
L_main28:
L_main27:
;encoder test 6.c,133 :: 		temp3 = count3 - 511;
	MOVLW       255
	SUBWF       _count3+0, 0 
	MOVWF       _temp3+0 
	MOVLW       1
	SUBWFB      _count3+1, 0 
	MOVWF       _temp3+1 
	MOVLW       0
	BTFSC       _temp3+1, 7 
	MOVLW       255
	MOVWF       _temp3+2 
	MOVWF       _temp3+3 
;encoder test 6.c,134 :: 		WriteBuffer[4] = temp3 & 0x00FF;      // Z axis
	MOVLW       255
	ANDWF       _temp3+0, 0 
	MOVWF       1348 
;encoder test 6.c,135 :: 		WriteBuffer[5] = (temp3 & 0xFF00) >>8;
	MOVLW       0
	ANDWF       _temp3+0, 0 
	MOVWF       R5 
	MOVLW       255
	ANDWF       _temp3+1, 0 
	MOVWF       R6 
	MOVF        _temp3+2, 0 
	MOVWF       R7 
	MOVF        _temp3+3, 0 
	MOVWF       R8 
	MOVLW       0
	ANDWF       R7, 1 
	ANDWF       R8, 1 
	MOVF        R6, 0 
	MOVWF       R0 
	MOVF        R7, 0 
	MOVWF       R1 
	MOVF        R8, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       1349 
;encoder test 6.c,137 :: 		buttons = PORTC & 0x07;     //read RC2, RC1, RC0
	MOVLW       7
	ANDWF       PORTC+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _buttons+0 
;encoder test 6.c,138 :: 		WriteBuffer[6] = (buttons & 0x07);
	MOVLW       7
	ANDWF       R0, 0 
	MOVWF       1350 
;encoder test 6.c,142 :: 		while(!HID_Write(&WriteBuffer, 7));
L_main29:
	MOVLW       _WriteBuffer+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_WriteBuffer+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       7
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main30
	GOTO        L_main29
L_main30:
;encoder test 6.c,145 :: 		}while(1);
	GOTO        L_main17
;encoder test 6.c,146 :: 		}
	GOTO        $+0
; end of _main
